# Uses of Class
org.eclipse.equinox.p2.operations.UpdateOperation

Packages that use UpdateOperation
Package
Description
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.

## Uses of UpdateOperation in org.eclipse.equinox.p2.operations

Methods in org.eclipse.equinox.p2.operations that return UpdateOperation
Modifier and Type
Method
Description
`UpdateOperation`
OperationFactory.`createUpdateOperation(Collection<? extends IVersionedId> toUpdate, Collection<URI> repos, IProgressMonitor monitor)`
Create an `UpdateOperation` that will update the elements specified.

## Uses of UpdateOperation in org.eclipse.equinox.p2.ui

Methods in org.eclipse.equinox.p2.ui that return UpdateOperation
Modifier and Type
Method
Description
`UpdateOperation`
ProvisioningUI.`getUpdateOperation(Collection<IInstallableUnit> iusToUpdate, URI[] repositories)`
Return an update operation that describes updating the specified IInstallableUnits from the provided list of repositories.
Methods in org.eclipse.equinox.p2.ui with parameters of type UpdateOperation
Modifier and Type
Method
Description
`int`
ProvisioningUI.`openUpdateWizard(boolean skipSelectionsPage, UpdateOperation operation, RemediationOperation remediationOperation, LoadMetadataRepositoryJob job)`
Open an update wizard for the specified update operation and remediationOperation.
`int`
ProvisioningUI.`openUpdateWizard(boolean skipSelectionsPage, UpdateOperation operation, LoadMetadataRepositoryJob job)`
Open an update wizard for the specified update operation.